require 'spec_helper'
require 'action_view'

describe PlanBCD::Rails::Railtie do
  before :all do
    @app = Class.new(Rails::Application)
    @app.initialize!
  end
  subject { ActionView::Base.new }
  
  it "should have planbcd helpers" do
    expect(subject).to respond_to(:pbcd_init)
  end

  it "should add rack middleware" do
    expect(@app.middleware.middlewares).to include(PlanBCD::Rails::Middleware)
  end
end
