require File.expand_path('../lib/planbcd/rails/version', __FILE__)

Gem::Specification.new do |gem|
  gem.name        = "planbcd-rails"
  gem.version     = PlanBCD::Rails::VERSION
  gem.platform    = Gem::Platform::RUBY
  gem.authors     = ["Daisuke Taniwaki"]
  gem.email       = ["daisuketaniwaki@gmail.com"]
  gem.homepage    = "https://github.com/dtaniwaki/planbcd-rails"
  gem.summary     = "Use PlanBCD with Rails 3+"
  gem.description = "This gem provides view helpers for PlanBCD."
  gem.license     = "MIT"

  gem.files       = `git ls-files`.split("\n")
  gem.test_files  = `git ls-files -- {test,spec,features}/*`.split("\n")
  gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  gem.require_paths = ['lib']

  gem.add_dependency "rails", ">= 3.0", "< 5.0"

  gem.add_development_dependency "rake"
  gem.add_development_dependency "rspec"
  gem.add_development_dependency "coveralls"
end
